Bug 119060 - editors/poedit can not compile with wx-2.6
Summary: editors/poedit can not compile with wx-2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-27 12:50 UTC by hiroto.kagotani
Modified: 2008-01-02 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (379 bytes, patch)
2007-12-27 12:50 UTC, hiroto.kagotani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hiroto.kagotani 2007-12-27 12:50:01 UTC
Build process of editors/poedit stops if x11-toolkits/wxgtk26-unicode is istalled instead of x11-toolkits/wxgtk28-unicode.

How-To-Repeat: pkg_delete 'wxgtk2*'
cd /usr/ports/x11-toolkits/wxgtk28-unicode; make install clean
cd /usr/ports/editors/poedit; make

Then you'll see that make stops:
..
c++ -DPACKAGE_NAME=\"poedit\" -DPACKAGE_TARNAME=\"poedit\" -DPACKAGE_VERSION=\"1.3.9\" -DPACKAGE_STRING=\"poedit\ 1.3.9\" -DPACKAGE_BUGREPORT=\"vslavik@fastmail.fm\" -DPACKAGE=\"poedit\" -DVERSION=\"1.3.9\" -DUSE_SPELLCHECKING=1 -DDB_HEADER=\"db42/db.h\" -DUSE_TRANSMEM=1 -DDB_HEADER=\"db42/db.h\" -I.   -I/usr/local/include/db42 -I/usr/local/include   -O2 -fno-strict-aliasing -pipe -I/usr/local/include/wx-2.6/gtk2-unicode-release-2.6 -I/usr/local/include/wx-2.6 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -DNO_GCC_PRAGMA   -D_THREAD_SAFE -I/usr/local/include/gtkspell-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2    "-DPOEDIT_PREFIX=\"/usr/local\"" -MT edframe.o -MD -MP -MF .deps/edframe.Tpo -c -o edframe.o edframe.cpp
edframe.cpp:47:25: wx/wupdlock.h: No such file or directory
edframe.cpp: In member function `void PoeditFrame::UpdateCatalog(const wxString&)':
edframe.cpp:1204: error: `wxWindowUpdateLocker' was not declared in this scope
edframe.cpp:1204: error: expected `;' before "locker"
gmake[2]: *** [edframe.o] Error 1
gmake[2]: Leaving directory `/usr/ports/editors/poedit/work/poedit-1.3.9/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/editors/poedit/work/poedit-1.3.9/src'
gmake: *** [all-recursive] Error 1
*** Error code 2

Stop in /usr/ports/editors/poedit.
Comment 1 hiroto.kagotani 2007-12-27 13:53:59 UTC
I'm sorry, I made a typo in How-To-Repeat section:

-cd /usr/ports/x11-toolkits/wxgtk28-unicode; make install clean
+cd /usr/ports/x11-toolkits/wxgtk26-unicode; make install clean

Thanks.
-- 
Hiroto Kagotani
<hiroto.kagotani@gmail.com>
Comment 2 hiroto.kagotani 2007-12-27 14:09:04 UTC
I'm sorry, I made a typo in the How-To-Repeat section:

-cd /usr/ports/x11-toolkits/wxgtk28-unicode; make install clean
+cd /usr/ports/x11-toolkits/wxgtk26-unicode; make install clean

Thanks.
--
Hiroto Kagotani
<hiroto.kagotani@gmail.com <mailto:hiroto.kagotani@gmail.com>>
Comment 3 dfilter service freebsd_committer 2008-01-02 14:13:17 UTC
arved       2008-01-02 14:13:13 UTC

  FreeBSD ports repository

  Modified files:
    editors/poedit       Makefile 
  Log:
  Port requires WX 2.8 to compile
  
  PR:             119060
  Submitted by:   Hiroto Kagotani
  
  Revision  Changes    Path
  1.51      +1 -1      ports/editors/poedit/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2008-01-02 14:13:22 UTC
State Changed
From-To: open->closed

committed, thanks